import java.rmi.Naming;

public class HelloServer
{
  public static void main (String args [])
  {
    try
    {
      HelloImpl obj = new HelloImpl ();

      // Bind this object instance to the name "HelloServer"
      Naming.rebind ("//localhost/HelloServer", obj);
      System.out.println ("HelloServer bound in registry");
    }
    catch (Exception e)
    {
      System.out.println ("HelloServer Exception: " + e.getMessage ());
      e.printStackTrace ();
    }
  }
}
