import java.rmi.Naming;
import java.rmi.RMISecurityManager;

public class Server
{
  public static void main (String args [])
  {
    try
    {
      Callforward object = new CallforwardImpl ();

      // Bind this object instance to the name "Server"
      Naming.rebind ("//localhost/Server", object);
      System.out.println ("Server bound in registry");
    }
    catch (Exception e)
    {
      System.out.println ("Server Exception: " + e.getMessage ());
      e.printStackTrace ();
    }
  }
}
